Skip to main content
GET
/
pricing-calculators
/
List pricing calculators
curl --request GET \
  --url https://api.journeybee.io/v1/pricing-calculators/ \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "uuid": "<string>",
      "name": "<string>",
      "description": "<string>",
      "display_settings": {
        "showProductBreakdown": true,
        "showDiscounts": true,
        "showRecurringTotal": true,
        "submitButtonText": "<string>",
        "successMessage": "<string>",
        "billingPeriods": [],
        "periodDiscounts": {}
      },
      "currency": {
        "uuid": "<string>",
        "code": "<string>",
        "label": "<string>"
      },
      "fields_count": 123,
      "products_count": 123,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Query Parameters

page
integer
default:1
Required range: 1 <= x <= 9007199254740991
per_page
integer
default:25
Required range: 1 <= x <= 100
status
enum<string>
Available options:
draft,
live,
archived
Maximum string length: 200
submission_mode
enum<string>
Available options:
disabled,
lead_only,
lead_with_products,
lead_with_quote
include_archived
boolean
default:false

Response

200 - application/json

Default Response

data
object[]
required
pagination
object
required